// Author : Pierre Vuillemin (2016)
// License : CECILL

// sopiVar + sopiVar ...........................................................
function newVar = %sopiVar_a_sopiVar(var1,var2)
   sopi_print(5,"Performing sopiVar + sopiVar.\n")

   newSize  = sopi_checkSizesCoherence(var1,var2,"sum");
   if var1.isScalar & ~var2.isScalar then
      var1 = ones(newSize(1),newSize(2)) * var1;
   elseif var2.isScalar & ~var1.isScalar  then
      var2 = ones(newSize(1),newSize(2)) * var2;
   end
   newVar         = sopi_newVar()
   newVar.size    = newSize
   newVar.operator = "sum"
   newVar.args = list(var1,var2)

endfunction
