// Author : Pierre Vuillemin (2016)
// License : CECILL

function generateXmls()
   targetPath  = get_absolute_file_path('build_help.sce')
   funToDoc    = list("sopi_var", "sopi_begin", "sopi_min", "sopi_solve")
   macrosPath  = strsubst(targetPath, "help/en_US/","macros" + filesep() + "src" + filesep())
   for f = funToDoc
      mdelete(targetPath + f + ".xml")
      filePath  = macrosPath + f + ".sci"
      help_from_sci(filePath, targetPath)
   end
endfunction

generateXmls()

tbx_build_help(toolbox_title,get_absolute_file_path("build_help.sce"));

clear generateXmls
