// Author : Pierre Vuillemin (2016)
// License : CECILL

function newVar = %sopiVar_m_s(var, A)
   // Overloading of the multiplication between a sopiVar and a matrix.
   //
   // See %s_m_sopiVar
   sopi_print(5,"Performing sopiVar*matrix.\n")   
   newSize        = sopi_checkSizesCoherence(var, A, "times")
   if isscalar(A) then
      A = A * eye(size(var,1), size(var,1))
   end   
   Avar           = sopi_constant(A)
   newVar         = sopi_newVar()
   newVar.size    = newSize
   newVar.operator = "times"
   newVar.args    = list(var,Avar)
endfunction
