// Author : Pierre Vuillemin (2016)
// License : CECILL

// max .........................................................................
function newVar = %sopiVar_max(varargin)
   [m,n]   = size(varargin(1));
   for i = 1:length(varargin)
      if i >= 2 then
         if or(size(varargin(i)) ~= [m,n]) then
            error("inconsistent sizes in max function")
         end
      end
   end
   newVar         = sopi_newVar()
   newVar.size    = [1,1]
   newVar.operator = "max"
   newVar.args = varargin
endfunction
