// Copyright 2016 - Pierre Vuillemin
// License : CECILL

function out = sopi_getVarDependency(var)
    out = list()
    if var.isElementary then
        out(1) = var
    else
        select var.operator
        case "sum"
            for v = var.args
                out = sopi_union(out, v.depends)
            end
        case "times"
            out = sopi_union(var.args(1).depends, var.args(2).depends)
        end
    end
//   ptrList = list();
//   if var.isElementary then
//      ptrList(1) = sopi_newPtr("var",var.id);
//   else
//      select var.child.operator
//      case LEFT_LINEAR_MAPPING
//         ptrList  = var.child.arg(2).dependsOf;
//      case RIGHT_LINEAR_MAPPING
//         ptrList  = var.child.arg(2).dependsOf;
//      case SUM
//         for v = var.child.arg
//            ptrList = sopi_union(ptrList,v.dependsOf);
//         end
//      case FUN
//         if var.child.arg(1) == MAX then
//            for v = var.child.arg(2)
//               ptrList = sopi_union(ptrList,v.dependsOf);
//            end
//         else
//            ptrList = var.child.arg(2).dependsOf;
//         end
//      end
//   end
endfunction

function l = sopi_union(l1, l2)
    l = l1
    for e1 = l2
        isInL = %f
        for e2 = l
            if e2.id == e1.id then
                isInL = %t
                break;
            end
        end
        if ~isInL then
            l($+1) = e1
        end
    end
endfunction
